# smfi_setbacklog

SYNOPSIS

    #include <libmilter/mfapi.h>
    int smfi_setbacklog(
    	int obacklog
    );

Set the filter's `listen(2)` backlog value.

DESCRIPTION

Called When | smfi_setbacklog should only be called before smfi_main.
Effects | Sets the incoming socket backlog used by `listen(2)`. If smfi_setbacklog is not called, the operating system default is used.

ARGUMENTS

Argument | Description
--- | ---
obacklog | The number of incoming connections to allow in the listen queue.

RETURN VALUES | smfi_setbacklog returns MI_FAILURE if obacklog is less than or equal to zero.

Copyright (c) 2002-2003 Proofpoint, Inc. and its suppliers. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the LICENSE.